Description

A couple of people have requested a simple way to restrict search results to only show records that have associated data. This could

be done a couple ways, one is to add resourcemap:[* TO *] to the filter (hence returning only records that are referenced by a

resource map, and so presumably also have referenced data.

Another is to add a new field that might be a boolean (hasData) or an int (number of data records) that is set during indexing. This

may be the best approach since we also have the issue of indicating those metadata records that contain data within themselves

(inline data), and those may not have associated resource maps.

History

#1 - 2012-07-16 17:14 - Skye Roseboom

- Status changed from New to In Progress

#2 - 2012-07-18 01:34 - Skye Roseboom

Added new checkbox 'Results with data only.' near search button at top of search page.  Appends resourceMap:* to the query as an immediate

solution until an index schema change can be deployed and incorporated into one-mercury.  Causes only sci-meta docs that have a data package

reference (resourceMap solr field).  So as mentioned above, it is possible to define a data package without data references - which would still be

returned even when using this option.  Also this strategy does not find/return eml sci-meta with inline data sets.  Will create new task to capture

required schema and index processing updates to implement a solution that handles inline eml datasets and empty data packages.

Open to suggestions for option text and placement of the field.

Installed on cn-dev.dataone.org.

#3 - 2012-07-24 22:19 - Skye Roseboom

- Status changed from In Progress to Testing

Copied to 1.0.0 for testing prior to 1.0.3 release.

#4 - 2012-08-16 21:57 - Dave Vieglais

- Milestone changed from CCI-1.0.3 to CCI-1.0.4

It looks like this got missed in the final push for 1.0.3. Works nicely on cn-dev, so setting this to 1.0.4 to make sure it gets included in that release.

#5 - 2012-08-27 14:29 - Skye Roseboom

- Status changed from Testing to In Progress
missed moving the 'simpleFrame.jsp' into 1.0.0 branch for release.

#6 - 2012-08-27 19:08 - Skye Roseboom

- Status changed from In Progress to Testing

#7 - 2012-09-10 15:40 - Skye Roseboom

- Status changed from Testing to Closed

Tested on RC branch build.
